summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorlily wilson2015-11-30 01:47:33 -0500
committerlily wilson2015-11-30 01:47:33 -0500
commit1c8e14c80b4ccff7f4f4e83acc1fdb07a8e37708 (patch)
treef3d7d88bb0d73b69c8b5150d82fa413a3f603290
downloadaur-1c8e14c80b4ccff7f4f4e83acc1fdb07a8e37708.tar.gz
initial import
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD21
2 files changed, 33 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..30b8ba7c1e2
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,12 @@
+pkgbase = libemf
+ pkgdesc = ECMA-234 Metafile Library
+ pkgver = 1.0.7
+ pkgrel = 0
+ url = http://libemf.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ source = http://sourceforge.net/projects/libemf/files/libemf/1.0.7/libEMF-1.0.7.tar.gz
+ sha256sums = 9f2fd8bb84e345978c7fc45a39e06fc6a44fee867a91ebe83433d3a34348fd21
+
+pkgname = libemf
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1da233199c4
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,21 @@
+# Maintainer: lily wilson <hotaru@thinkindifferent.net>
+pkgname=libemf
+pkgver=1.0.7
+pkgrel=0
+pkgdesc="ECMA-234 Metafile Library"
+arch=('i686' 'x86_64')
+url="http://libemf.sourceforge.net/"
+license=('LGPL2')
+source=("http://sourceforge.net/projects/$pkgname/files/$pkgname/$pkgver/libEMF-${pkgver}.tar.gz")
+sha256sums=('9f2fd8bb84e345978c7fc45a39e06fc6a44fee867a91ebe83433d3a34348fd21')
+
+build() {
+ cd $srcdir/libEMF-$pkgver
+ ./configure --prefix=/usr/lib
+ make || return 1
+}
+
+package() {
+ cd $srcdir/libEMF-$pkgver
+ make DESTDIR=$pkgdir install
+}